bo@font-face {
   font-family: "Roboto";
   font-style: normal;
   font-weight: 400;
   src: url("../fonts/roboto.woff2") format("woff2");
   unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA,
      U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191,
      U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

html,
body {
   font-family: "Roboto", sans-serif;
   width: 100%;
   height: 100%;
}

body {
   margin: 0;
   padding: 0;
   display: flex;
   flex-direction: column;
   min-height: 100vh;
}

.container {
   flex: 1;
}

.header {
   margin-top: auto;
   background-color: #222;
   color: #999;
   font-size: 14px;
   line-height: 1;
   padding-left: 5%;
   height: 43px;
}

.video {
   width: auto;
   display: none;
   margin: 0 auto;
}

figcaption {
   color: grey;
   text-align: center;
   margin-top: 5px;
}

.container {
   display: flex;
   flex-wrap: wrap;
   justify-self: space-between;
}

.container-frontpage {
   display: flex;
   justify-content: center;
   align-items: center;
   text-align: center;
   height: 100%;
}

.container-frontpage h1 {
   font-size: 60px;
}

.column {
   flex: 1;
   margin-left: 10%;
   margin-right: 10%;
}

#toggleButton {
   text-align: center;
   display: none;
   margin-left: auto;
   margin-right: auto;
   margin-top: 10px;
   height: 35px;
}

.navigation-buttons {
   display: flex;
   justify-content: space-between;
   margin-bottom: 20px;
}

.navigation-buttons button {
   height: 35px;
   width: 100px;
}

.navigation-buttons a,
.navigation-buttons a:hover,
.navigation-buttons a:visited {
   text-decoration: none;
}

.column-header {
   text-align: center;
}

.column-header button {
   height: 35px;
   width: 75px;
   margin-top: 15px;
}

.video-container {
   position: relative;
   width: 100%;
   height: 100vh;
}

.video-container video {
   width: 100%;
   height: 100%;
   object-fit: cover;
}

.footer {
   display: flex;
   flex-wrap: wrap;
   justify-content: space-between;
   flex-shrink: 0;
   background-color: #222;
   color: #fffeee;
   font-size: 13px;
   padding-top: 40px;
}

.footer-container {
   display: flex;
   flex-wrap: wrap;
   align-items: flex-start;
   justify-content: space-around;
   flex: 1;
   margin-left: 10%;
}

.footer-column {
   flex: 1;
   margin: 10px;
}

.footer-column h3 {
   text-transform: uppercase;
}

.social-icons {
   display: flex;
   color: white;
}

.social-icon {
   max-width: 35px;
   margin-right: 10px;
}

@media (max-width: 768px) {
   .footer-container {
      text-align: center;
      flex-direction: column;
      align-items: center;
      margin-left: 0;
   }

   .footer-column {
      width: 100%;
      margin: 10px 0;
   }

   .social-icons {
      justify-content: center;
   }
}

.copyright {
   text-align: center;
   margin-bottom: 20px;
   width: 100%;
}

.copyright a {
   color: #fffeee;
   text-decoration: none;
}

.copyright a:hover {
   text-decoration: underline;
}

/* Tooltip */

.tooltip {
   position: relative;
   display: inline-block;
   cursor: pointer;
   color: #2574b9;
   /* Highlight the word with blue color */
   font-weight: bold;
}

.tooltip .tooltiptext {
   visibility: hidden;
   width: 240px;
   background-color: #333;
   /* Dark background color */
   color: #fff;
   text-align: center;
   border-radius: 8px;
   padding: 10px;
   position: fixed;
   /* Use fixed positioning */
   z-index: 1;
   top: 50%;
   /* Center vertically */
   left: 50%;
   /* Center horizontally */
   transform: translate(-50%, -50%);
   /* Adjust position to be centered */
   opacity: 0;
   transition:
      opacity 0.3s,
      transform 0.3s;
   box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
   /* Add shadow for a nice effect */
}

.tooltip:hover .tooltiptext {
   visibility: visible;
   opacity: 1;
   transform: translate(-50%, -50%) scale(1);
   /* Ensure it scales from the center */
}
